Subject: Re: [Mip6] MIPv6: Using the last Accepted Sequence Number in BA

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 18 May 2006 14:37:06 -0700

Mohamed Khalil wrote:
> Hi Vijay,
> 
> A cleaner solution is to put the sequence number as it is in the BA, and
> introduce a new option which have the proposed sequence number to be
> used. 

perhaps.

> trial and error approach is not the right way to resolve the
> issue.

the status 135 combined with the sequence number in the
binding ack *tells* the mobile node what sequence number
it used last. this works.

this was added to address the case where the mobile node
reboots suddenly and forgets about its binding cache
entries at the HA or the CN when it comes up again.

Vijay

> 
> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Thursday, May 18, 2006 4:14 PM
> To: Muhanna, Ahmad [RICH2:2Q30:EXCH]
> Cc: [email-masked]; Gopal Dommety; Charles E. Perkins;
> [email-masked]; [email-masked]; Basavaraj Patil; Khalil,
> Mohamed [RICH2:2S20:EXCH]
> Subject: Re: [Mip6] MIPv6: Using the last Accepted Sequence Number in BA
> 
> 
> Ahmad Muhanna wrote:
>> Hi all,
>>
>> In response to a Binding Update which contains an out of range 
>> sequence
>> number, as per sections 9.5.1 and 11.7.1, the CN or HA is allowed to 
>> send a Binding Acknowledgement with a status of 135 after inserting
> the 
>> last accepted sequence number received in the last valid Binding
> Update 
>> in the sequence number field (Different from the sequence number 
>> received in the outstanding BU)
>>
>> According to MN processing of the Binding Acknowledgement as specified
>> under section 11.7.3., the MN will silently discard the received BA 
>> rather than picking the last accepted sequence number and then
> generate 
>> a new sequence number.
>>
>> I think the intention was to allow the HA or CN to communicate back to
>> the MN the last accepted sequence number, however, we are breaking the
> 
>> protocol by using this mechanism.
>>
>> Could you please comment on this and let me know if I am on the right
>> track.
> 
> when the mobile node receives a binding ack with
> status 135, it should pick a sequence number
> greater than what was returned in the binding ack
> and re-try with another binding update. it should
> not ignore the sequence number field in the
> binding ack.
> 
> the text in section 11.7.3 needs to be fixed when
> RFC 3775 is revised.
> 
> thanks for catching this.
> 
> Vijay
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Jari Arkko <[email-masked]>
Date: Fri, 19 May 2006 11:24:11 +0300

Section 11.7.3 does not list the case that involves Status code
135, but it was certainly the intention that the mobile node would
deal with this in the way that Vijay explained.

This is indeed something that should be clarified in a revision.
I do not think we should change the protocol where a
clarification suffices.

--jari